Skip to main content
PATCH
Modify contact

Authorizations

x-api-token
string
header
required

API token for authentication. Obtain from your Infinity account settings.

Path Parameters

contactId
string
required

The id of the specific contact

Body

application/json

Provide the changes to save to the contact in the request body. Any fields that are not provided are left unchanged.

Represents a contact, such as a supplier, client, partner, lead, etc.

companyName
string

The company name associated with this contact.

For contacts which represent companies, this is used as the name of the contact.

Maximum string length: 48
firstName
string

The given name of this contact.

Maximum string length: 48
lastName
string

The surname of this contact.

Maximum string length: 48
streetName
string

The street name of the contact's address.

Maximum string length: 48
buildingNumber
string

The building number of the contact's address.

Maximum string length: 24
townName
string

The town or city name of the contact's address.

Maximum string length: 48
postCode
string

The postal code of the contact's address.

Maximum string length: 24
Example:

"3700"

position
string

The position of the contact person within their company.

Maximum string length: 48
email
string<email>

The email address of the contact person. Must be a valid e-mail address or empty.

Maximum string length: 48
mobile
string

The mobile phone number of the contact person.

Maximum string length: 24
phone
string

The phone number of the contact person.

Maximum string length: 24
website
string

The website of this contact. Must be a valid URL.

Maximum string length: 128
category
enum<string>

An optional category to associate this contact with.

Available options:
clients,
suppliers,
partners,
team,
leads
formOfAddress
string

The form of address of the contact person, e.g. “Dr. med.“

Maximum string length: 24
note
string

A custom plain-text note for this contact. May be multi-line.

Maximum string length: 2000
vatNumber
string

An optional VAT registry number for this company. Is not validated for any specific format to allow entering values for formats of arbitrary countries.

Maximum string length: 24
country
string

Display name of the country of this contact.

Maximum string length: 24
secondaryAddressLine
string

An optional secondary address line for the location of this contact.

Maximum string length: 48
customerIdentification
string

An optional customer identification number for this contact.

Maximum string length: 16

Response

Changes saved successfully

contact
Contact · object

Represents a contact, such as a supplier, client, partner, lead, etc.

Example: